Get the dispute for a transaction
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId}/dispute \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId}/dispute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId}/dispute"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId}/dispute"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "880e8400-e29b-41d4-a716-446655440099",
"transactionId": "770e8400-e29b-41d4-a716-446655440011",
"status": "pending",
"disputeAmount": 123,
"createdAt": "<string>",
"reviewedBy": "rain",
"disputeType": "fraud",
"disputeReasonCode": "emvLiabilityShiftCounterfeitFraud",
"textEvidence": "<string>",
"currency": "<string>",
"updatedAt": "<string>",
"resolvedAt": "<string>",
"filedWithNetworkAt": "<string>",
"hasFileEvidence": true,
"attachmentCount": 1
}Cards
Get the dispute for a transaction
Return the dispute filed for a card transaction, loaded from the card issuer. The transaction id is the id from GET /cards/transactions or the transactionId from a card.transaction webhook. A transaction has one dispute.
GET
/
api
/
v1
/
cards
/
transactions
/
{transactionId}
/
dispute
Get the dispute for a transaction
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId}/dispute \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId}/dispute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId}/dispute"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId}/dispute"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "880e8400-e29b-41d4-a716-446655440099",
"transactionId": "770e8400-e29b-41d4-a716-446655440011",
"status": "pending",
"disputeAmount": 123,
"createdAt": "<string>",
"reviewedBy": "rain",
"disputeType": "fraud",
"disputeReasonCode": "emvLiabilityShiftCounterfeitFraud",
"textEvidence": "<string>",
"currency": "<string>",
"updatedAt": "<string>",
"resolvedAt": "<string>",
"filedWithNetworkAt": "<string>",
"hasFileEvidence": true,
"attachmentCount": 1
}Authorizations
Bearer JWT issued to your business account during onboarding
Path Parameters
Response
200 - application/json
Example:
"880e8400-e29b-41d4-a716-446655440099"
Transaction id from the request path
Example:
"770e8400-e29b-41d4-a716-446655440011"
Available options:
pending, inReview, accepted, rejected, canceled, resolvedByMerchant Disputed amount in cents
Available options:
rain, network Available options:
fraud, creditNotProcessed, serviceNotReceived, merchandiseIssue, other Available options:
emvLiabilityShiftCounterfeitFraud, emvLiabilityShiftNonCounterfeitFraud, otherFraudCardPresent, otherFraudCardAbsent, visaFraudMonitoringProgram, cardRecoveryBulletin, declinedAuthorization, noAuthorization, incorrectTransactionCode, incorrectCurrency, incorrectAccountNumber, incorrectAmount, duplicateProcessing, invalidData, merchandiseServicesNotReceived, cancelledRecurringTransaction, notAsDescribedOrDefective, counterfeitMerchandise, misrepresentation, creditNotProcessed, cancelledMerchandiseServices, originalCreditTransactionNotAccepted, nonReceiptOfCashAtm Lowercase ISO-4217 currency code
Required range:
x >= 0